Package Details: catalyst-total 15.9-25

Git Clone URL: https://aur.archlinux.org/catalyst-total.git (read-only, click to copy)
Package Base: catalyst-total
Description: AMD/ATI Catalyst drivers for linux. catalyst-dkms + catalyst-utils + lib32-catalyst-utils + experimental powerXpress suppport. Radeons HD 2 3 4 xxx ARE NOT SUPPORTED
Upstream URL: https://www.amd.com
Licenses: custom
Conflicts: catalyst, catalyst-daemon, catalyst-dkms, catalyst-generator, catalyst-hook, catalyst-utils, libegl, libgl, libgles, libglvnd, mesa-libgl, mesa-libgl-git, opencl-amd
Provides: catalyst=15.9, catalyst-hook=15.9, catalyst-libgl=15.9, catalyst-utils=15.9, dri, libatical=15.9, libegl, libgl, libgles, libtxc_dxtn, mesa-libgl, mesa-libgl-git, opencl-catalyst=15.9, opencl-driver
Submitter: None
Maintainer: Vi0L0
Last Packager: Vi0L0
Votes: 129
Popularity: 0.000000
First Submitted: 2009-11-11 05:59
Last Updated: 2018-04-29 16:39

Dependencies (23)

Required by (907)

Sources (36)

Vi0L0 commented on 2011-06-19 12:52

@endlessroad1991: i cannot confirm this problem. On both KDE4 and GNOME3 its working fine when logged in as a root (libgl package is not installed):
[root@xaos ~]# ldd /usr/bin/amdcccle
libGL.so.1 => /usr/lib/catalystpxp/libGL.so.1 (0x00007ff75606d000)
(...)
Same for other OpenGL applications.
It's also working fine when using kdesu or gksu as normal user.

So it's using /etc/profile.d script also for a root. I didn't even know it could be otherwise, thou i now know it could be a rule of ie. mandriva.
Maybe my system is some kind of exception, to be sure i will ask @ #archlinux.
I wouldn't be happy to add anything into /root/.bash_profile ...

Anonymous comment on 2011-06-19 05:20

@Vi0L0: Hmm, here's the problem:
/etc/profile.d scripts will take effect for every user EXCEPT ROOT,
so root doesn't have /usr/lib/catalyststpxp in his LD_LIBRARY_PATH.
When we need root privilege to run amdcccle(which needs libGL.so.1), libGL.so.1 is missing...

So add the path for root also.

Vi0L0 commented on 2011-06-18 12:24

ati has changed their 11.6 driver, thats why md5sums were different, changed files are:
/etc/ati/amdpcsdb.default
/etc/ati/control
/etc/ati/signature
so it means that some new hardware is supported.

I'm not bumping pkgrel - i don't want users to perform update which is unnecessery for them - although if your hardware was not supported yesterday by 11.6, you should check today's update of this package.

Vi0L0 commented on 2011-06-18 12:22

before i start - it turns out that AMD's powerXpress support on dual gpu systems sucks: https://bbs.archlinux.org/viewtopic.php?pid=949991#p949991
And the switch amd/intel shouldn't actually work right now, it need more love and work, probably from us, community... for now at least catalyst/oss_ati switch works fine (reboot needed). More info here: https://bbs.archlinux.org/viewtopic.php?pid=937766#p937766
and (older version) here: https://bbs.archlinux.org/viewtopic.php?pid=935497#p935497

@endlessroad1991: basically such linking shouldn't be neccessary, even more - it will brake powerXpress support completelly.
It's because to make it work we need libgl package to be installed (your link will conflict with it).
Whole libGL switching gets place in /usr/lib/catalystpxp - this directory is forced to be searched for libraries in 1st place over /usr/lib directory (look at /etc/profile.d/catalystpxp.sh). Switching scripts are here: /usr/lib/fglrx or /usr/lib64/fglrx (aticonfig need it to be placed in lib64)

Anonymous comment on 2011-06-18 07:50

ln -s /usr/lib/catalyststpxp/libGL.so /usr/lib/libGL.so.1

solves the libGL.so.1 not found problem, and works properly.

@Vi0L0: consider add this line to PKGBUILD?
And we may need to create a symbol link for libGL.so also.

Anonymous comment on 2011-06-18 02:01

Blacklisting modules in rc.conf has been obsoleted and no longer works as of initscripts 2011.06.1-1. All blacklisting instructions need to be included in /etc/modprobe.d/.

Anonymous comment on 2011-06-18 01:58

I use grub2

Anonymous comment on 2011-06-18 01:56

sudo aticonfig -pxl-igpu
aticonfig: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
[zzd@KArch ~]$ sudo pxp_switch_catalyst intel
Switching xorg.conf (part 1) ...
/etc/X11/xorg.conf renamed to /etc/X11/xorg.conf.cat
/etc/X11/xorg.conf.cat linked to /etc/X11/xorg.conf
Running aticonfig --px-igpu ...
aticonfig: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory
Running /usr/lib64/fglrx/switchlibGL intel ...
Switch to Intel
Switching xorg.conf (part 2) ...
/etc/X11/xorg.conf was removed
Checking MODULES for fglrx ...
Switched to Intel (or Radeon)
Do you also want to change default kernel to boot (grub only)? [y/n]: y
grep: /boot/grub/menu.lst: No such file or directory
Enter your number: 2
sed: can't read /boot/grub/menu.lst: No such file or directory

Anonymous comment on 2011-06-17 22:59

There is bad md5sum in package.

$md5sum ati-driver-installer-11-6-x86.x86_64.run
ff901cfa828006e25e9d6718a515b5c0 ati-driver-installer-11-6-x86.x86_64.run

In package there is also missing dependency on libgl and lib32-libgl.
After upgrading google-earth work again which for some reason didn't work with "catalyst-test 11.4-111" package.

Vi0L0 commented on 2011-06-16 21:13

thanks endlessroad1991, i've added libxxf86vm into optdepends